VIPW(8)

NAZWA
vipw, vigr - edytuj plik haseł, grup lub ich wersji chronionych

STRESZCZENIE

vipw [opcje]

vigr [opcje]

OPIS

The vipw and vigr commands edits the files /etc/passwd and /etc/group, respectively. With the -s flag, they will edit the shadow versions of those files, /etc/shadow and /etc/gshadow, respectively. The programs will set the appropriate locks to prevent file corruption. When looking for an editor, the programs will first try the environment variable $VISUAL, then the environment variable $EDITOR, and finally the default editor, vi(1).

OPCJE

The options which apply to the vipw and vigr commands are:

-g, --group
    Edycja bazy grup.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-p, --passwd
    Edycja bazy passwd.

-q, --quiet
    Cichy tryb pracy.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --shadow
    Edycja bazy shadow lub gshadow.

ENVIRONMENT

VISUAL
    Editor to be used.

EDITOR
    Editor to be used if VISUAL is not set.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shadow
    Informacje chronione o użytkownikach.

ZOBACZ TAKŻE

vi(1), group(5), gshadow(5) , passwd(5), , shadow(5).